public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sebastien Fabbro" <bicatali@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/gammapy/
Date: Fri, 18 Mar 2016 19:18:14 +0000 (UTC)	[thread overview]
Message-ID: <1458331831.a18c5fc23cb2b9f578d1618bc829e15ff8eff12f.bicatali@gentoo> (raw)

commit:     a18c5fc23cb2b9f578d1618bc829e15ff8eff12f
Author:     Sébastien Fabbro <bicatali <AT> gentoo <DOT> org>
AuthorDate: Thu Mar 17 18:33:30 2016 +0000
Commit:     Sebastien Fabbro <bicatali <AT> gentoo <DOT> org>
CommitDate: Fri Mar 18 20:10:31 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a18c5fc2

dev-python/gammapy: initial import

Package-Manager: portage-2.2.28

 dev-python/gammapy/Manifest           |  1 +
 dev-python/gammapy/gammapy-0.3.ebuild | 52 +++++++++++++++++++++++++++++++++++
 dev-python/gammapy/metadata.xml       | 17 ++++++++++++
 3 files changed, 70 insertions(+)

diff --git a/dev-python/gammapy/Manifest b/dev-python/gammapy/Manifest
new file mode 100644
index 0000000..96e2b7c
--- /dev/null
+++ b/dev-python/gammapy/Manifest
@@ -0,0 +1 @@
+DIST gammapy-0.3.tar.gz 1108360 SHA256 49d56320c34d6d0d16d2f847cbb3a538a81b1bcefdb851e163ae02ceb24205de SHA512 95a37e54c8e4fdcae52ac96185587a881d610269a26f595a08ccf92310678b6c81b2bae65a063907af773cf4bfe1a74ffa07314f879f818268f91762e2c55614 WHIRLPOOL 513e05873c5cef1fd83ca3aa8d6f3ccca3500be6d27512fa35692d41d716d675f6ce0ba284aec4d595004cefaf863d6ed238892d067bc692de013dc99fa7c4dd

diff --git a/dev-python/gammapy/gammapy-0.3.ebuild b/dev-python/gammapy/gammapy-0.3.ebuild
new file mode 100644
index 0000000..59e84aa
--- /dev/null
+++ b/dev-python/gammapy/gammapy-0.3.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+inherit distutils-r1 eutils
+
+DESCRIPTION="Python package for gamma-ray astronomy"
+HOMEPAGE="https://gammapy.readthedocs.org/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="doc test"
+DOCS=( README.rst )
+
+RDEPEND="
+	dev-python/astropy[${PYTHON_USEDEP}]
+	dev-python/numpy[${PYTHON_USEDEP}]"
+
+DEPEND="${RDEPEND}
+	dev-python/astropy-helpers[${PYTHON_USEDEP}]
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+	test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
+
+python_prepare_all() {
+	sed -i -e '/auto_use/s/True/False/' setup.cfg || die
+	distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+	if use doc; then
+		python_setup
+		VARTEXFONTS="${T}"/fonts \
+			MPLCONFIGDIR="${BUILD_DIR}" \
+			PYTHONPATH="${BUILD_DIR}"/lib \
+			esetup.py build_sphinx
+	fi
+}
+
+python_test() {
+	esetup.py test
+}
+
+python_install_all() {
+	use doc && local HTML_DOCS=( docs/_build/html/ )
+	distutils-r1_python_install_all
+}

diff --git a/dev-python/gammapy/metadata.xml b/dev-python/gammapy/metadata.xml
new file mode 100644
index 0000000..a1fa597
--- /dev/null
+++ b/dev-python/gammapy/metadata.xml
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+  <maintainer type="project">
+    <email>sci-astronomy@gentoo.org</email>
+    <name>Gentoo Astronomy Project</name>
+  </maintainer>
+  <longdescription lang="en">
+    Gammapy is a package for simulating and analysing gamma-ray sky data.
+    It is currently designed to support users of telescopes such as Fermi,
+    H.E.S.S, and CTA in primarily Galactic plane survey studies.
+  </longdescription>
+  <upstream>
+    <remote-id type="pypi">gammapy</remote-id>
+    <remote-id type="github">gammapy/gammapy</remote-id>
+  </upstream>
+</pkgmetadata>


             reply	other threads:[~2016-03-18 19:18 UTC|newest]

Thread overview: 9+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-03-18 19:18 Sebastien Fabbro [this message]
  -- strict thread matches above, loose matches on Subject: below --
2016-03-21 23:08 [gentoo-commits] repo/gentoo:master commit in: dev-python/gammapy/ Sebastien Fabbro
2016-04-29 21:47 Sebastien Fabbro
2016-06-09 17:24 Sebastien Fabbro
2016-09-01 17:01 Sebastien Fabbro
2016-11-30 23:26 Sebastien Fabbro
2016-12-06  0:43 Sebastien Fabbro
2017-06-28 18:21 Sebastien Fabbro
2019-12-28 17:00 Mikle Kolyada

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1458331831.a18c5fc23cb2b9f578d1618bc829e15ff8eff12f.bicatali@gentoo \
    --to=bicatali@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox